Bug 345961 - oops on usb/scsi device remove
oops on usb/scsi device remove
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
8
All Linux
low Severity low
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-10-22 16:25 EDT by Bill Nottingham
Modified: 2014-03-16 23:11 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-08 23:59:17 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Bill Nottingham 2007-10-22 16:25:03 EDT
scsi 6:0:0:0: Direct-Access     AFT      CF  PRO-9XP      9144 PQ: 0 ANSI: 0
scsi 6:0:0:1: Direct-Access     AFT      SM  PRO-9XP      9144 PQ: 0 ANSI: 0
usb 1-7: USB disconnect, address 4
Unable to handle kernel NULL pointer dereference at 0000000000000000 RIP: 
 [<ffffffff811968fd>] make_class_name+0x2b/0x79
PGD 32175067 PUD 32176067 PMD 0 
Oops: 0000 [1] SMP 
CPU 0 
Modules linked in: via drm nfsd exportfs lockd nfs_acl auth_rpcgss sunrpc ipv6
dm_mirror dm_mod raid1 snd_via82xx gameport snd_ac97_codec ac97_bus
snd_seq_dummy snd_seq_oss snd_seq_midi_event snd_seq snd_pcm_oss snd_mixer_oss
snd_pcm snd_timer snd_page_alloc snd_mpu401_uart snd_rawmidi snd_seq_device
parport_pc parport snd via_rhine k8temp hwmon usb_storage i2c_viapro soundcore
i2c_core mii floppy firewire_ohci firewire_core shpchp sata_via button crc_itu_t
sg sr_mod cdrom ata_generic pata_via libata sd_mod scsi_mod ext3 jbd mbcache
uhci_hcd ohci_hcd ehci_hcd
Pid: 163, comm: khubd Tainted: G   M    2.6.23.1-23.fc8 #1
RIP: 0010:[<ffffffff811968fd>]  [<ffffffff811968fd>] make_class_name+0x2b/0x79
RSP: 0018:ffff81003be7bc40  EFLAGS: 00010246
RAX: ffffffff88074700 RBX: 0000000000000000 RCX: ffffffffffffffff
RDX: 0000000000000000 RSI: 000000000000000c RDI: 0000000000000000
RBP: ffffffff8806919c R08: ffffffffffffffff R09: ffff81001d55ea78
R10: 0000000000000049 R11: ffff810033df2000 R12: ffff810033df2350
R13: ffffffff88074700 R14: 0000000000000000 R15: ffff81003be3d800
FS:  0000000040a00950(0000) GS:ffffffff813bb000(0000) knlGS:0000000000000000
CS:  0010 DS: 0018 ES: 0018 CR0: 000000008005003b
CR2: 0000000000000000 CR3: 0000000032174000 CR4: 00000000000006e0
DR0: 0000000000000000 DR1: 0000000000000000 DR2: 0000000000000000
DR3: 0000000000000000 DR6: 00000000ffff0ff0 DR7: 0000000000000400
Process khubd (pid: 163, threadinfo ffff81003be7a000, task ffff81000159d020)
Stack:  ffffffff880c41a0 ffffffff88074860 ffff810033df2340 ffffffff880747c0
 ffff810033df2350 ffffffff81196a77 ffff810033df2340 ffff810033df20e8
 0000000000000282 ffffffff8813a0c0 0000000000000000 ffffffff81196b2e
Call Trace:
 [<ffffffff81196a77>] class_device_del+0xc0/0x16e
 [<ffffffff81196b2e>] class_device_unregister+0x9/0x12
 [<ffffffff8805d4ae>] :scsi_mod:__scsi_remove_device+0x33/0x84
 [<ffffffff8805abbf>] :scsi_mod:scsi_forget_host+0x39/0x5b
 [<ffffffff880556ac>] :scsi_mod:scsi_remove_host+0x75/0xf9
 [<ffffffff8812a91b>] :usb_storage:quiesce_and_remove_host+0xbf/0xce
 [<ffffffff8812aa01>] :usb_storage:storage_disconnect+0x10/0x19
 [<ffffffff811afe58>] usb_unbind_interface+0x59/0xb6
 [<ffffffff8119600a>] __device_release_driver+0x8e/0xb0
 [<ffffffff81196461>] device_release_driver+0x42/0x5b
 [<ffffffff811958ac>] bus_remove_device+0x89/0x9c
 [<ffffffff81193c79>] device_del+0x25e/0x2ea
 [<ffffffff811ad49b>] usb_disable_device+0x6f/0xe8
 [<ffffffff811a96f0>] usb_disconnect+0xb4/0x161
 [<ffffffff811a9f10>] hub_thread+0x449/0xc08
 [<ffffffff8125af3d>] thread_return+0x0/0xd8
 [<ffffffff810493c1>] autoremove_wake_function+0x0/0x2e
 [<ffffffff811a9ac7>] hub_thread+0x0/0xc08
 [<ffffffff8104926c>] kthread+0x47/0x73
 [<ffffffff8100c9e8>] child_rip+0xa/0x12
 [<ffffffff81049225>] kthread+0x0/0x73
 [<ffffffff8100c9de>] child_rip+0x0/0x12


Code: f2 ae 48 f7 d1 01 f1 be d0 00 00 00 48 63 f9 e8 0c 09 f0 ff 
RIP  [<ffffffff811968fd>] make_class_name+0x2b/0x79
 RSP <ffff81003be7bc40>
CR2: 0000000000000000

This is a usb card reader. It likes to occasionally connect/disconnect on its
own for reasons unknown.
Comment 1 Pete Zaitcev 2007-10-22 18:12:33 EDT
See also bug 253424. Bill, please do not dup just yet, it may be a different
root cause because we presumably fixed what caused it the last time.
Comment 2 Bug Zapper 2008-04-04 10:14:41 EDT
Based on the date this bug was created, it appears to have been reported
during the development of Fedora 8. In order to refocus our efforts as
a project we are changing the version of this bug to '8'.

If this bug still exists in rawhide, please change the version back to
rawhide.
(If you're unable to change the bug's version, add a comment to the bug
and someone will change it for you.)

Thanks for your help and we apologize for the interruption.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.
Comment 3 Bug Zapper 2008-11-26 03:03:31 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Bug Zapper 2009-01-08 23:59:17 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.